.\"	$NetBSD: de.4,v 1.11 2003/08/31 11:34:09 ragge Exp $
.\"
.\" Copyright (c) 1986, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)de.4	8.1 (Berkeley) 6/5/93
.\"
.Dd August 31, 2003
.Dt DE 4 vax
.Os
.Sh NAME
.Nm de
.Nd
.Tn DEC DEUNA/DELUA
10 Mb/s Ethernet interface
.Sh SYNOPSIS
.Cd "de0 at uba? csr 174510"
.Sh DESCRIPTION
The
.Nm
interface provides access to a 10 Mb/s Ethernet network through
a Digital Equipment
.Tn UNIBUS
Network Adapter
.Pq Tn DEUNA .
.Pp
Each of the host's network addresses
is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The
.Nm
interface employs the address resolution protocol described in
.Xr arp 4
to dynamically map between Internet and Ethernet addresses on the local
network.
.Sh DIAGNOSTICS
.Bl -diag
.It de%d: hardware address %s.
This is a normal autoconfiguration message noting the 6 byte physical
Ethernet address of the adapter.
.Pp
.It de%d: oerror, flags=%b tdrerr=%b (len=%d).
The hardware indicated an error
in transmitting a packet to the cable.
The status and error flags are reported.
.Pp
.It de%d: ierror, flags=%b lenerr=%b (len=%d).
The hardware indicated an error
in reading a packet from the cable.
The status and error flags are reported.
.El
.Pp
The following messages indicate a probable hardware error performing
the indicated operation during autoconfiguration or initialization.
The two control and status registers
should indicate the nature of the failure.
See the hardware manual for details.
.Pp
.Bl -diag
.It de%d: reset failed, csr0=%b csr1=%b.
.It de%d: ppcb failed, csr0=%b csr1=%b.
.It de%d: read addr failed, csr0=%b csr1=%b.
.It de%d: wtring failed, csr0=%b csr1=%b.
.It de%d: wtmode failed, csr0=%b csr1=%b.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr inet 4 ,
.Xr netintro 4
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.3 .
